@General
Feature: General everyware tests
  These tests focus more on general functionality. 
  Possibility of adding multiple namespaces, changing options etc.

  Due to that Everyware Twig have an outside dependency to wordpress cache we're forced too disable twig's chaching for testing purposes.
  Twig's caching gets disabled in the step "Then a loader can be set".

  Scenario: Generating a view
    Given viewsetup can be initiated
    Then a loader can be set
    And EveryTwig can be set
    Then the folder path src and namespaceTest can be added
    Then I can init EveryTwig from ViewSetup
    And a view(testTemplate.twig) can be generated with namespaceTest and Test

  Scenario: Generating multiple views from mixed namespaces
    Given viewsetup can be initiated
    Then a loader can be set
    And EveryTwig can be set
    Then the folder path src and namespaceTest can be added
    Then the folder path src2 and namespaceTest2 can be added
    Then I can init EveryTwig from ViewSetup
    And a view(testTemplate.twig) can be generated with namespaceTest and Test
    And a view(testNamespace.twig) can be generated with namespaceTest2 and NamespaceTest2
    And a view(testTemplate.twig) can be generated with namespaceTest and Test
    And a view(testNamespace.twig) can be generated with namespaceTest2 and NamespaceTest2

  Scenario: Init ViewSetup with options
    Given viewsetup can be initiated 
    Then a loader can be set
    And EveryTwig can be set
    Then I can init EveryTwig with debug option false
    Then I can init EveryTwig with debug option true

  Scenario: Add a new namespace after Twig environment has been initiated
    Given viewsetup can be initiated
    Then a loader can be set
    And EveryTwig can be set
    Then the folder path src and namespaceTest can be added
    Then I can init EveryTwig from ViewSetup
    Then the folder path src2 and namespaceTest2 can be added
    And a view(testTemplate.twig) can be generated with namespaceTest and Test
    And a view(testNamespace.twig) can be generated with namespaceTest2 and NamespaceTest2
    And a view(testTemplate.twig) can be generated with namespaceTest and Test
    And a view(testNamespace.twig) can be generated with namespaceTest2 and NamespaceTest2